var fs = require('fs');
var ini = require('ini');
var expresso = require('sate24-expresso');
var config = ini.parse(fs.readFileSync(__dirname + '/config.ini', 'utf-8'));

process.chdir(__dirname);

var logger = require('sate24/logger.js').start();
var HttpServer = require('sate24/httpserver.js');
var aaa = require('sate24/aaa.js');
var partner = require('./partner-cjk.js');

var matrix = aaa.prepareMatrix();

var options = {
    'aaa': aaa,
    'logger': logger,
    'config': config,
    'matrix': matrix,
}

var httpServer = HttpServer.start(config, options);

partner.start(config, aaa.callbackReport, options);
aaa.start(config, partner, options);
expresso.start(options);

