var should = require("should");
var partner = require("./partner-cjk");

describe("#partner-cjk", function() {
    var params = {
        trxtype: '01',
        prdcode: 'PU1TS10',
        value: '10000',
        msisdn: '082129777024',
        trxid: '1237',
        uid: '082129777025',
        password: '1234',
    };
    
    describe("#createSign", function() {
        it('should return correct sign', function() {
            partner.calculateSignature(params).should.equal('93f3fbed4f4567ba1e10f2d0a0485c7c0d2254b1cb519ae51e533d7111cb6f8b');
        });
    });
    
    describe('#createXmlPayload', function() {
        it('should return correct xml', function() {
            partner.createXmlPayload(params).should.equal('<?xml version="1.0" ?>\n<ciwaru><trxtype>01</trxtype><prdcode>PU1TS10</prdcode><value>10000</value><msisdn>082129777024</msisdn><trxid>1237</trxid><uid>082129777025</uid><hash>93f3fbed4f4567ba1e10f2d0a0485c7c0d2254b1cb519ae51e533d7111cb6f8b</hash></ciwaru>');
        });
    });
    
    describe('#getSNFromMessage', function() {
        it('should return correct sn', function() {
            var message = '2016-05-09 13:26:29: SUKSES Topup Ke 087884428889 Sebesar 50.000 Dengan SN: 55000509134656 Harga = 48.750. Saldo = 104.418.989';
            partner.getSNFromMessage(message).should.equal('55000509134656');
        });
    });
});
